
_Resolution:

;OneWire.c,42 :: 		void Resolution()
;OneWire.c,44 :: 		Ow_Reset(&PORTE, 2);                         // Onewire reset signal
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Reset_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;OneWire.c,45 :: 		Ow_Write(&PORTE, 2, 0x33);                   // Issue command Read_ROM
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       51
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;OneWire.c,46 :: 		Delay_us(120);
	MOVLW       79
	MOVWF       R13, 0
L_Resolution0:
	DECFSZ      R13, 1, 1
	BRA         L_Resolution0
	NOP
	NOP
;OneWire.c,48 :: 		family_code = Ow_Read(&PORTE, 2);
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Read_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _family_code+0 
;OneWire.c,50 :: 		switch( family_code )
	GOTO        L_Resolution1
;OneWire.c,52 :: 		case 0x28:
L_Resolution3:
;OneWire.c,53 :: 		TEMP_RESOLUTION = TEMP_RES_B;
	MOVLW       12
	MOVWF       _TEMP_RESOLUTION+0 
;OneWire.c,54 :: 		break;
	GOTO        L_Resolution2
;OneWire.c,56 :: 		case 0x10:
L_Resolution4:
;OneWire.c,57 :: 		TEMP_RESOLUTION = TEMP_RES_S;
	MOVLW       9
	MOVWF       _TEMP_RESOLUTION+0 
;OneWire.c,58 :: 		break;
	GOTO        L_Resolution2
;OneWire.c,60 :: 		case 0x01:
L_Resolution5:
;OneWire.c,61 :: 		TEMP_RESOLUTION = 0;
	CLRF        _TEMP_RESOLUTION+0 
;OneWire.c,62 :: 		break;
	GOTO        L_Resolution2
;OneWire.c,64 :: 		case 0xFF:
L_Resolution6:
;OneWire.c,65 :: 		TEMP_RESOLUTION = 0;
	CLRF        _TEMP_RESOLUTION+0 
;OneWire.c,66 :: 		break;
	GOTO        L_Resolution2
;OneWire.c,68 :: 		default:
L_Resolution7:
;OneWire.c,69 :: 		TEMP_RESOLUTION = 0;
	CLRF        _TEMP_RESOLUTION+0 
;OneWire.c,70 :: 		break;
	GOTO        L_Resolution2
;OneWire.c,71 :: 		}
L_Resolution1:
	MOVF        _family_code+0, 0 
	XORLW       40
	BTFSC       STATUS+0, 2 
	GOTO        L_Resolution3
	MOVF        _family_code+0, 0 
	XORLW       16
	BTFSC       STATUS+0, 2 
	GOTO        L_Resolution4
	MOVF        _family_code+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_Resolution5
	MOVF        _family_code+0, 0 
	XORLW       255
	BTFSC       STATUS+0, 2 
	GOTO        L_Resolution6
	GOTO        L_Resolution7
L_Resolution2:
;OneWire.c,74 :: 		Ow_Reset(&PORTE, 2);                         // Onewire reset signal
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Reset_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;OneWire.c,75 :: 		Ow_Write(&PORTE, 2, 0x33);                   // Issue command Read_ROM
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       51
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;OneWire.c,76 :: 		Delay_us(120);
	MOVLW       79
	MOVWF       R13, 0
L_Resolution8:
	DECFSZ      R13, 1, 1
	BRA         L_Resolution8
	NOP
	NOP
;OneWire.c,78 :: 		for(i = 0; i <= 7; i++)
	CLRF        _i+0 
	CLRF        _i+1 
L_Resolution9:
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       _i+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Resolution35
	MOVF        _i+0, 0 
	SUBLW       7
L__Resolution35:
	BTFSS       STATUS+0, 0 
	GOTO        L_Resolution10
;OneWire.c,80 :: 		sernum[i] = Ow_Read(&PORTE, 2);
	MOVLW       _sernum+0
	ADDWF       _i+0, 0 
	MOVWF       FLOC__Resolution+0 
	MOVLW       hi_addr(_sernum+0)
	ADDWFC      _i+1, 0 
	MOVWF       FLOC__Resolution+1 
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Read_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVFF       FLOC__Resolution+0, FSR1
	MOVFF       FLOC__Resolution+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;OneWire.c,78 :: 		for(i = 0; i <= 7; i++)
	INFSNZ      _i+0, 1 
	INCF        _i+1, 1 
;OneWire.c,81 :: 		}
	GOTO        L_Resolution9
L_Resolution10:
;OneWire.c,82 :: 		}
L_end_Resolution:
	RETURN      0
; end of _Resolution

_Read_Temperature:

;OneWire.c,84 :: 		void Read_Temperature()
;OneWire.c,87 :: 		Ow_Reset(&PORTE, 2);                         // Onewire reset signal
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Reset_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;OneWire.c,88 :: 		Ow_Write(&PORTE, 2, 0xCC);                   // Issue command SKIP_ROM
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       204
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;OneWire.c,89 :: 		Ow_Write(&PORTE, 2, 0x44);                   // Issue command CONVERT_T
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       68
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;OneWire.c,90 :: 		Delay_us(120);
	MOVLW       79
	MOVWF       R13, 0
L_Read_Temperature12:
	DECFSZ      R13, 1, 1
	BRA         L_Read_Temperature12
	NOP
	NOP
;OneWire.c,92 :: 		Ow_Reset(&PORTE, 2);
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Reset_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;OneWire.c,93 :: 		Ow_Write(&PORTE, 2, 0xCC);                   // Issue command SKIP_ROM
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       204
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;OneWire.c,94 :: 		Ow_Write(&PORTE, 2, 0xBE);                   // Issue command READ_SCRATCHPAD
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       190
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;OneWire.c,96 :: 		temp =  Ow_Read(&PORTE, 2);
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Read_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _temp+0 
	MOVLW       0
	MOVWF       _temp+1 
;OneWire.c,97 :: 		temp = (Ow_Read(&PORTE, 2) << 8) + temp;
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Read_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R2 
	CLRF        R1 
	MOVF        R1, 0 
	ADDWF       _temp+0, 1 
	MOVF        R2, 0 
	ADDWFC      _temp+1, 1 
;OneWire.c,98 :: 		}
L_end_Read_Temperature:
	RETURN      0
; end of _Read_Temperature

_Display_SerialNumber:

;OneWire.c,100 :: 		void Display_SerialNumber()
;OneWire.c,103 :: 		colona = 17;
	MOVLW       17
	MOVWF       _colona+0 
	MOVLW       0
	MOVWF       _colona+1 
;OneWire.c,105 :: 		for(i = 0; i <= 7; i++)
	CLRF        Display_SerialNumber_i_L0+0 
	CLRF        Display_SerialNumber_i_L0+1 
L_Display_SerialNumber13:
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       Display_SerialNumber_i_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Display_SerialNumber38
	MOVF        Display_SerialNumber_i_L0+0, 0 
	SUBLW       7
L__Display_SerialNumber38:
	BTFSS       STATUS+0, 0 
	GOTO        L_Display_SerialNumber14
;OneWire.c,107 :: 		colona = colona - 2;
	MOVLW       2
	SUBWF       _colona+0, 1 
	MOVLW       0
	SUBWFB      _colona+1, 1 
;OneWire.c,108 :: 		ByteToHex(sernum[i], sernum_hex);
	MOVLW       _sernum+0
	ADDWF       Display_SerialNumber_i_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_sernum+0)
	ADDWFC      Display_SerialNumber_i_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_ByteToHex_input+0 
	MOVLW       _sernum_hex+0
	MOVWF       FARG_ByteToHex_output+0 
	MOVLW       hi_addr(_sernum_hex+0)
	MOVWF       FARG_ByteToHex_output+1 
	CALL        _ByteToHex+0, 0
;OneWire.c,109 :: 		Lcd_Out(1, colona, sernum_hex);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVF        _colona+0, 0 
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _sernum_hex+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_sernum_hex+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire.c,105 :: 		for(i = 0; i <= 7; i++)
	INFSNZ      Display_SerialNumber_i_L0+0, 1 
	INCF        Display_SerialNumber_i_L0+1, 1 
;OneWire.c,110 :: 		}
	GOTO        L_Display_SerialNumber13
L_Display_SerialNumber14:
;OneWire.c,111 :: 		}
L_end_Display_SerialNumber:
	RETURN      0
; end of _Display_SerialNumber

_Display_Type:

;OneWire.c,113 :: 		void Display_Type()
;OneWire.c,115 :: 		switch( family_code )
	GOTO        L_Display_Type16
;OneWire.c,117 :: 		case 0x28:
L_Display_Type18:
;OneWire.c,118 :: 		Lcd_Out(2, 1, "18B20");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr2_OneWire+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr2_OneWire+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire.c,119 :: 		break;
	GOTO        L_Display_Type17
;OneWire.c,121 :: 		case 0x10:
L_Display_Type19:
;OneWire.c,122 :: 		Lcd_Out(2, 1, "18S20");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr3_OneWire+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr3_OneWire+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire.c,123 :: 		break;
	GOTO        L_Display_Type17
;OneWire.c,125 :: 		case 0x01:
L_Display_Type20:
;OneWire.c,126 :: 		Lcd_Out(2, 1, "DS1990");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr4_OneWire+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr4_OneWire+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire.c,127 :: 		break;
	GOTO        L_Display_Type17
;OneWire.c,129 :: 		case 0xFF:
L_Display_Type21:
;OneWire.c,130 :: 		Lcd_Out(2, 1, "NoID  ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr5_OneWire+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr5_OneWire+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire.c,131 :: 		break;
	GOTO        L_Display_Type17
;OneWire.c,133 :: 		default:
L_Display_Type22:
;OneWire.c,134 :: 		ByteToHex(family_code, family_code_hex);
	MOVF        _family_code+0, 0 
	MOVWF       FARG_ByteToHex_input+0 
	MOVLW       _family_code_hex+0
	MOVWF       FARG_ByteToHex_output+0 
	MOVLW       hi_addr(_family_code_hex+0)
	MOVWF       FARG_ByteToHex_output+1 
	CALL        _ByteToHex+0, 0
;OneWire.c,135 :: 		Lcd_Out(2, 1, family_code_hex );// ????
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _family_code_hex+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_family_code_hex+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire.c,136 :: 		break;
	GOTO        L_Display_Type17
;OneWire.c,137 :: 		}
L_Display_Type16:
	MOVF        _family_code+0, 0 
	XORLW       40
	BTFSC       STATUS+0, 2 
	GOTO        L_Display_Type18
	MOVF        _family_code+0, 0 
	XORLW       16
	BTFSC       STATUS+0, 2 
	GOTO        L_Display_Type19
	MOVF        _family_code+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_Display_Type20
	MOVF        _family_code+0, 0 
	XORLW       255
	BTFSC       STATUS+0, 2 
	GOTO        L_Display_Type21
	GOTO        L_Display_Type22
L_Display_Type17:
;OneWire.c,138 :: 		}
L_end_Display_Type:
	RETURN      0
; end of _Display_Type

_Display_Temperature:

;OneWire.c,140 :: 		void Display_Temperature()
;OneWire.c,142 :: 		unsigned short RES_SHIFT = TEMP_RESOLUTION - 8;
	MOVLW       8
	SUBWF       _TEMP_RESOLUTION+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVF        R0, 0 
	MOVWF       Display_Temperature_RES_SHIFT_L0+0 
;OneWire.c,147 :: 		temp2write = temp;
	MOVF        _temp+0, 0 
	MOVWF       Display_Temperature_temp2write_L0+0 
	MOVF        _temp+1, 0 
	MOVWF       Display_Temperature_temp2write_L0+1 
;OneWire.c,149 :: 		if (temp2write & 0x8000)
	BTFSS       _temp+1, 7 
	GOTO        L_Display_Temperature23
;OneWire.c,151 :: 		text[0] = '-';
	MOVFF       _text+0, FSR1
	MOVFF       _text+1, FSR1H
	MOVLW       45
	MOVWF       POSTINC1+0 
;OneWire.c,152 :: 		temp2write = ~temp2write + 1;
	COMF        Display_Temperature_temp2write_L0+0, 1 
	COMF        Display_Temperature_temp2write_L0+1, 1 
	INFSNZ      Display_Temperature_temp2write_L0+0, 1 
	INCF        Display_Temperature_temp2write_L0+1, 1 
;OneWire.c,153 :: 		}
L_Display_Temperature23:
;OneWire.c,156 :: 		temp_whole = temp2write >> RES_SHIFT ;
	MOVF        Display_Temperature_RES_SHIFT_L0+0, 0 
	MOVWF       R2 
	MOVF        Display_Temperature_temp2write_L0+0, 0 
	MOVWF       R0 
	MOVF        Display_Temperature_temp2write_L0+1, 0 
	MOVWF       R1 
	MOVF        R2, 0 
L__Display_Temperature41:
	BZ          L__Display_Temperature42
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	ADDLW       255
	GOTO        L__Display_Temperature41
L__Display_Temperature42:
	MOVF        R0, 0 
	MOVWF       Display_Temperature_temp_whole_L0+0 
;OneWire.c,159 :: 		if (temp_whole/100)
	MOVLW       100
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_Display_Temperature24
;OneWire.c,160 :: 		text[0] = temp_whole/100  + 48;
	MOVF        _text+0, 0 
	MOVWF       FLOC__Display_Temperature+0 
	MOVF        _text+1, 0 
	MOVWF       FLOC__Display_Temperature+1 
	MOVLW       100
	MOVWF       R4 
	MOVF        Display_Temperature_temp_whole_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FLOC__Display_Temperature+0, FSR1
	MOVFF       FLOC__Display_Temperature+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
L_Display_Temperature24:
;OneWire.c,164 :: 		text[1] = (temp_whole/10)%10 + 48;             // Extract tens digit
	MOVLW       1
	ADDWF       _text+0, 0 
	MOVWF       FLOC__Display_Temperature+0 
	MOVLW       0
	ADDWFC      _text+1, 0 
	MOVWF       FLOC__Display_Temperature+1 
	MOVLW       10
	MOVWF       R4 
	MOVF        Display_Temperature_temp_whole_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FLOC__Display_Temperature+0, FSR1
	MOVFF       FLOC__Display_Temperature+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;OneWire.c,165 :: 		text[2] =  temp_whole%10     + 48;             // Extract ones digit
	MOVLW       2
	ADDWF       _text+0, 0 
	MOVWF       FLOC__Display_Temperature+0 
	MOVLW       0
	ADDWFC      _text+1, 0 
	MOVWF       FLOC__Display_Temperature+1 
	MOVLW       10
	MOVWF       R4 
	MOVF        Display_Temperature_temp_whole_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FLOC__Display_Temperature+0, FSR1
	MOVFF       FLOC__Display_Temperature+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;OneWire.c,166 :: 		text[3] = '.';
	MOVLW       3
	ADDWF       _text+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      _text+1, 0 
	MOVWF       FSR1H 
	MOVLW       46
	MOVWF       POSTINC1+0 
;OneWire.c,168 :: 		temp_fraction  = temp2write << (4-RES_SHIFT);
	MOVF        Display_Temperature_RES_SHIFT_L0+0, 0 
	SUBLW       4
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        Display_Temperature_temp2write_L0+0, 0 
	MOVWF       R0 
	MOVF        Display_Temperature_temp2write_L0+1, 0 
	MOVWF       R1 
	MOVF        R2, 0 
L__Display_Temperature43:
	BZ          L__Display_Temperature44
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	ADDLW       255
	GOTO        L__Display_Temperature43
L__Display_Temperature44:
	MOVF        R0, 0 
	MOVWF       Display_Temperature_temp_fraction_L0+0 
	MOVF        R1, 0 
	MOVWF       Display_Temperature_temp_fraction_L0+1 
;OneWire.c,169 :: 		temp_fraction &= 0x000F;
	MOVLW       15
	ANDWF       R0, 1 
	MOVLW       0
	ANDWF       R1, 1 
	MOVF        R0, 0 
	MOVWF       Display_Temperature_temp_fraction_L0+0 
	MOVF        R1, 0 
	MOVWF       Display_Temperature_temp_fraction_L0+1 
;OneWire.c,170 :: 		temp_fraction *= 625;
	MOVLW       113
	MOVWF       R4 
	MOVLW       2
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       Display_Temperature_temp_fraction_L0+0 
	MOVF        R1, 0 
	MOVWF       Display_Temperature_temp_fraction_L0+1 
;OneWire.c,173 :: 		text[4] =  temp_fraction/1000    + 48;         // Extract thousands digit
	MOVLW       4
	ADDWF       _text+0, 0 
	MOVWF       FLOC__Display_Temperature+0 
	MOVLW       0
	ADDWFC      _text+1, 0 
	MOVWF       FLOC__Display_Temperature+1 
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FLOC__Display_Temperature+0, FSR1
	MOVFF       FLOC__Display_Temperature+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;OneWire.c,174 :: 		text[5] = (temp_fraction/100)%10 + 48;         // Extract hundreds digit
	MOVLW       5
	ADDWF       _text+0, 0 
	MOVWF       FLOC__Display_Temperature+0 
	MOVLW       0
	ADDWFC      _text+1, 0 
	MOVWF       FLOC__Display_Temperature+1 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        Display_Temperature_temp_fraction_L0+0, 0 
	MOVWF       R0 
	MOVF        Display_Temperature_temp_fraction_L0+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FLOC__Display_Temperature+0, FSR1
	MOVFF       FLOC__Display_Temperature+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;OneWire.c,175 :: 		text[6] = (temp_fraction/10)%10  + 48;         // Extract tens digit
	MOVLW       6
	ADDWF       _text+0, 0 
	MOVWF       FLOC__Display_Temperature+0 
	MOVLW       0
	ADDWFC      _text+1, 0 
	MOVWF       FLOC__Display_Temperature+1 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        Display_Temperature_temp_fraction_L0+0, 0 
	MOVWF       R0 
	MOVF        Display_Temperature_temp_fraction_L0+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FLOC__Display_Temperature+0, FSR1
	MOVFF       FLOC__Display_Temperature+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;OneWire.c,176 :: 		text[7] =  temp_fraction%10      + 48;         // Extract ones digit
	MOVLW       7
	ADDWF       _text+0, 0 
	MOVWF       FLOC__Display_Temperature+0 
	MOVLW       0
	ADDWFC      _text+1, 0 
	MOVWF       FLOC__Display_Temperature+1 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        Display_Temperature_temp_fraction_L0+0, 0 
	MOVWF       R0 
	MOVF        Display_Temperature_temp_fraction_L0+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FLOC__Display_Temperature+0, FSR1
	MOVFF       FLOC__Display_Temperature+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;OneWire.c,179 :: 		Lcd_Out(2, 7, text);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       7
	MOVWF       FARG_Lcd_Out_column+0 
	MOVF        _text+0, 0 
	MOVWF       FARG_Lcd_Out_text+0 
	MOVF        _text+1, 0 
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire.c,182 :: 		Lcd_Chr_CP('\'');                             // 176 ASCII for degree symbol
	MOVLW       39
	MOVWF       FARG_Lcd_Chr_CP_out_char+0 
	CALL        _Lcd_Chr_CP+0, 0
;OneWire.c,183 :: 		Lcd_Chr_CP('C');
	MOVLW       67
	MOVWF       FARG_Lcd_Chr_CP_out_char+0 
	CALL        _Lcd_Chr_CP+0, 0
;OneWire.c,184 :: 		}
L_end_Display_Temperature:
	RETURN      0
; end of _Display_Temperature

_main:

;OneWire.c,186 :: 		void main()
;OneWire.c,189 :: 		CMCON |=7; // Arret de comparateurs
	MOVLW       7
	IORWF       CMCON+0, 1 
;OneWire.c,194 :: 		ADCON1 = 0x0D;
	MOVLW       13
	MOVWF       ADCON1+0 
;OneWire.c,196 :: 		PORTA = 0 ;
	CLRF        PORTA+0 
;OneWire.c,197 :: 		TRISA = 0x03;
	MOVLW       3
	MOVWF       TRISA+0 
;OneWire.c,199 :: 		TRISE.B2 = 1;                                  // Configure RE2 pin as input
	BSF         TRISE+0, 2 
;OneWire.c,201 :: 		Lcd_Init();                                    // Initialize LCD
	CALL        _Lcd_Init+0, 0
;OneWire.c,202 :: 		Lcd_Cmd(_LCD_CLEAR);                           // Clear LCD
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;OneWire.c,203 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);                      // Turn cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;OneWire.c,206 :: 		do
L_main25:
;OneWire.c,208 :: 		Resolution();
	CALL        _Resolution+0, 0
;OneWire.c,210 :: 		Display_SerialNumber();
	CALL        _Display_SerialNumber+0, 0
;OneWire.c,211 :: 		Display_Type();
	CALL        _Display_Type+0, 0
;OneWire.c,213 :: 		switch( family_code )
	GOTO        L_main28
;OneWire.c,215 :: 		case 0x28: // DS18B20
L_main30:
;OneWire.c,216 :: 		case 0x10: // DS18S20
L_main31:
;OneWire.c,217 :: 		Read_Temperature();
	CALL        _Read_Temperature+0, 0
;OneWire.c,219 :: 		Display_Temperature();
	CALL        _Display_Temperature+0, 0
;OneWire.c,220 :: 		break;
	GOTO        L_main29
;OneWire.c,222 :: 		default:
L_main32:
;OneWire.c,223 :: 		break;
	GOTO        L_main29
;OneWire.c,224 :: 		}
L_main28:
	MOVF        _family_code+0, 0 
	XORLW       40
	BTFSC       STATUS+0, 2 
	GOTO        L_main30
	MOVF        _family_code+0, 0 
	XORLW       16
	BTFSC       STATUS+0, 2 
	GOTO        L_main31
	GOTO        L_main32
L_main29:
;OneWire.c,226 :: 		Delay_ms(100);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L_main33:
	DECFSZ      R13, 1, 1
	BRA         L_main33
	DECFSZ      R12, 1, 1
	BRA         L_main33
	DECFSZ      R11, 1, 1
	BRA         L_main33
	NOP
;OneWire.c,227 :: 		} while (1);
	GOTO        L_main25
;OneWire.c,228 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
